Name:		libunistring
Version:	1.1
Release:	2
Summary:	GNU Unicode string library
License:	GPLV2+ or LGPLv3+
URL:		http://www.gnu.org/software/libunistring/
Source0:	https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
Provides:	bundled(gnulib)

%description
Libunistring is a library that provides functions for manipulating Unicode strings
and for manipulating C strings according to the Unicode standard.

%package devel
Group: Development/Libraries
Summary: Development files for GNU Unicode string library
Requires: %{name} = %{version}-%{release}

%description devel
This package is the development files for GUN Unicode string library.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static --disable-rpath
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/%{name}.la
rm -f %{buildroot}%{_infodir}/dir
mv %{buildroot}%{_datadir}/doc/%{name} tmp_doc

%check
make check

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc THANKS AUTHORS
%license COPYING*
%{_libdir}/%{name}.so.5
%{_libdir}/%{name}.so.5.0.0

%files devel
%defattr(-,root,root)
%{_libdir}/%{name}.so
%{_includedir}/*.h
%{_includedir}/unistring
%{_infodir}/%{name}.info*

%files help
%doc ChangeLog tmp_doc/* BUGS HACKING 
%doc README DEPENDENCIES

%changelog
* Tue Nov 15 2022 fuanan <fuanan3@h-partners.com> - 1.1-2
- Delete the old symbol

* Fri Nov 04 2022 fuanan <fuanan3@h-partners.com> - 1.1-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 1.1

* Tue Oct 25 2022 zhangruifang <zhangruifang1@h-partners.com> - 0.9.10-9
- Rebuild for next release

* Fri Jun 4 2021 panxiaohe<panxiaohe@huawei.com> - 0.9.10-8
- add gcc to BuildRequires

* Fri Sep 27 2019 shenyangyang<shenyangyang4@huawei.com> - 0.9.10-7
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:move COPYING and add check

* Sat Sep 21 2019 shenyangyang<shenyangyang4@huawei.com> - 0.9.10-6
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add help package

* Thu Aug 08 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.9.10-5
- Package init
